Autor Thema: Änderungen am FTP-Client bei Nutzung von network-lib 1.30 statt bisher 1.21  (Gelesen 335 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Offline grauerwolf

  • Newbie
  • *
  • Beiträge: 12
    • Profil anzeigen
Hallo,ich habe bisher den FTP-Client aus netwok 1.21 benutzt. Nun bin ich dabei eine MQTT-Verbindung zu bauen und nutze dazu ein Programm. das seinerseits network 1.30 verlangt. Solange ich in einer relativ einfachen Testumgebung arbeite, geht alles relativ gut. Die MQTT-Verbindung steht.Wenn ich nun den MQTT-Programmteil in das "echte" Programm einbaue und die network 1.3 hinzufüge, kann ich zunächst alles im Zusammenhang des FTP-Clients nicht mehr compilieren. es treten Compilierfehler-Fehler. Diese nach eigenem Ermessen wegzubringen (einfach aus IP_CONTROL  mal IP_CONTROL_V2 zu machen, ließ die Compilierung durchlaufen, das Programm crashte aber mit stehendem Prozessor ziemlich rigoros.
Nun ist mein Vorgehen etwas übermutig gewesen. Aber wo bekomme ich denn ein neues FTP-Beispielprogramm her, wo die Änderungen im FTP-Client eben schon drin sind.
Überhaupt ist die network 1.3 ff nicht im download-Bereich. Auch eine Beschreibung suche ich vergebens. Ist was damit ??
Für ein paar Hinweise wäre ich sehr dankbar.
MfgThomas

Offline peewit

  • Moderator
  • *****
  • Beiträge: 2 292
    • Profil anzeigen
hallo

hier findest du die network 1.35 inklusive doku
http://www.oscat.de/community/index.php/topic,2546.msg13223.html#msg13223

du kannst diese bedenkenlos benutzen da es die beste verfügbare version ist

eigentlich solte diese version schon sehr lange als offizielle Version veröffentlicht werden .... aber meine zeit ist auch begrenzt
ich finde halt immer einen grund es auf zuschieben...
es ist halt alles ziemlich viel arbeit.....
 
« Letzte Änderung: 07. Februar 2019, 08:32:33 von peewit »

Offline grauerwolf

  • Newbie
  • *
  • Beiträge: 12
    • Profil anzeigen
Hallo,
danke für die Antwort, aber unter dem Link finde ich nur Downloads zu Codesys 2.3 (glaube ich jedenfalls).Für Codesys 3.5 gibt es keine LIB 1.35?
Viele GrüßeThomas

Offline Stefan1

  • Newbie
  • *
  • Beiträge: 4
    • Profil anzeigen
Hallo Thomas,

ich denke das es hier um meine MQTT Lib geht. Leider habe ich meine Übersetztung der OSCAT Network Lib nur für die MQTT Lib getestet. Was du versuche solltes ist, das du beide Versionen der Network lib per Namensraum in deinem Projekt zu trennen. So kommst du vielleicht schneller an das ziel eh du anfängst die Lib zu debuggen.

Um was für ein Zielsystem handelt es sich den?

Grüße Stefan

Offline annD

  • Newbie
  • *
  • Beiträge: 37
    • Profil anzeigen
Hallo Thomas,

du kannst diese Network 1.35 für Codesys 3.5 probieren:
http://www.oscat.de/community/index.php/topic,2546.msg14933.html#msg14933

Ich nutze damit einige Funktionen mit dem ipcontrol Baustein unter Codesys 3.5.14.0.

Gruß annD